Bug 656669

Summary: Please Update Spec File to use %ghost on files in /var/run and /var/lock
Product: [Fedora] Fedora Reporter: Lennart Poettering <lpoetter>
Component: polipoAssignee: Bernard Johnson <bjohnson>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: supercyper1
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
URL: http://lists.fedoraproject.org/pipermail/devel-announce/2010-November/000726.html
Whiteboard:
Fixed In Version: polipo-1.0.4.1-4.fc16 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-10-08 18:02:00 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 827166    

Description Lennart Poettering 2010-11-23 23:39:49 UTC
Your package polipo appears to include a file in /var/run or /var/lock. With an upcoming change in Rawhide these directories will now be mounted as tmpfs. For details about this change please consult http://lists.fedoraproject.org/pipermail/devel-announce/2010-November/000726.html For your package this means that you need add %ghost to all files that are placed in either of these two directories. Please make sure to make this change in time for the F15 cycle. For details about %ghost see http://www.rpm.org/max-rpm-snapshot/s1-rpm-inside-files-list-directives.html#S3-RPM-INSIDE-FLIST-GHOST-DIRECTIVE , for more information on the F15 feature see the feature page https://fedoraproject.org/wiki/Features/var-run-tmpfs . If your package already uses %ghost on these files, feel free to close this bug report right-away. Sorry for this mass bug filing, and if you have any further questions, don't hesitate to ask on fedora-devel or ask me personally. Thank you, Lennart

Comment 1 Fedora Admin XMLRPC Client 2011-07-20 04:28:26 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 2 Bernard Johnson 2011-09-27 03:16:08 UTC
https://fedorahosted.org/fpc/ticket/44

https://fedoraproject.org/wiki/Tmpfiles.d_packaging_draft

"Files that the program places directly into /var/run or /var/lock or into subdirectories of those may be listed in the %files section as %ghost but you may also omit them entirely as the files will be cleaned up on every reboot."

Believe this was probably written after your bug was filed.

The chosen fix will be to use tmpfiles.d and remove any other %files packaging of /var/run or /var/lock files/dir.

Comment 3 Fedora Update System 2011-09-27 18:40:54 UTC
polipo-1.0.4.1-4.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/polipo-1.0.4.1-4.fc16

Comment 4 Fedora Update System 2011-09-27 18:42:49 UTC
polipo-1.0.4.1-4.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/polipo-1.0.4.1-4.fc15

Comment 5 Fedora Update System 2011-09-27 18:44:37 UTC
polipo-1.0.4.1-4.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/polipo-1.0.4.1-4.fc14

Comment 6 Fedora Update System 2011-09-28 18:50:49 UTC
Package polipo-1.0.4.1-4.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing polipo-1.0.4.1-4.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/polipo-1.0.4.1-4.fc16
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2011-10-08 18:02:00 UTC
polipo-1.0.4.1-4.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2011-10-08 18:04:12 UTC
polipo-1.0.4.1-4.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2011-10-09 19:37:52 UTC
polipo-1.0.4.1-4.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.